## ros-humble-as2-state-estimator 1.0.9

=== debian/changelog ===
ros-humble-as2-state-estimator (1.0.9-3bookworm) bookworm; urgency=high

  * latlon2local function fails in z coordinate, added earth_to_map_height parameter
  * raw odometry plugin should have a set gps origin
  * Contributors: Javier Melero, Javilinos, Rafael Pérez

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.7-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.6-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.5-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.4-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.3-3bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.2-3bookworm) bookworm; urgency=high

  * Merge pull request #279 <https://github.com/aerostack2/aerostack2/issues/279> from aerostack2/230-gps_support_for_ground_truth_plugin
    Add gps support for ground truth plugin
  * Change origin param
  * parameters added, compiling, add origin manually working
  * gps support for ground truth plugin
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-state-estimator (1.0.0-3bookworm) bookworm; urgency=high

  * Merge branch 'main' into trajectory_generation
  * Merge pull request #159 <https://github.com/aerostack2/aerostack2/issues/159> from aerostack2/state_estimator_plugins
    [as2_state_estimator] Change plugins names
  * Clang format
  * Chnage plugins names
  * Merge pull request #137 <https://github.com/aerostack2/aerostack2/issues/137> from aerostack2/main
    Sync branch with main
  * Merge pull request #134 <https://github.com/aerostack2/aerostack2/issues/134> from aerostack2/71-all-include-gps-translator-functions
    GPS behavior support
  * fixing gps origin earth to map tf
  * set and get origin srvs created on external_odom plugin
  * Merge pull request #114 <https://github.com/aerostack2/aerostack2/issues/114> from aerostack2/devel
    [all] Reduce packages and update names
  * Clang format fix
  * State estimator launch config file bug fix
  * Update namespace names
  * Merge pull request #119 <https://github.com/aerostack2/aerostack2/issues/119> from aerostack2/as2_state_estimator_unify
    [as2_state_estimator] As2 state estimator unify
  * Add license header
  * Unify state estimators in one package
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-state-estimator (0.2.2-3bookworm) bookworm; urgency=high

  * license and versions updated to v0.2.0 and BSD-3
  * CHANGELOG_GENERATED
  * Contributors: Miguel

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 16:00:00 -0000

ros-humble-as2-state-estimator (0.2.1-3bookworm) bookworm; urgency=high

  * Merge pull request #79 <https://github.com/aerostack2/aerostack2/issues/79> from aerostack2/mocap_test
    [as2_state_estimator_plugin_mocap] mocap test added to gtest and alpha reduced to 0.1
  * params added to test
  * mocap test added to gtest and algha reduced to 0.1
  * Merge pull request #68 <https://github.com/aerostack2/aerostack2/issues/68> from aerostack2/state_estimator_odom_config_file
    Add config file to state estimator external odom plugin with odom topic
  * Add config file to state estimator external odom plugin with odom topic
  * Merge pull request #21 <https://github.com/aerostack2/aerostack2/issues/21> from aerostack2/launcher_update
    Update launchers
  * Update launchers
  * Merge pull request #12 <https://github.com/aerostack2/aerostack2/issues/12> from aerostack2/as2_state_estimator_launch
    [as2_state_estimator] Update parameters config file
  * Update parameters config file
  * bug fixed
  * bug fixed in ground truth plugin
  * bug fixed in external odom plugin
  * Remove basic_state_estimator
  * Names fixed
  * as2_state_estimator pluginized
  * Merge pull request #1 <https://github.com/aerostack2/aerostack2/issues/1> from aerostack2/state_estimation_pluginized
    State estimation pluginized
  * plugin base dependence added to package.xml
  * state estimation folder structured
  * basic_state_estimator external_odom uploaded
  * basic_state_estimator ground_truth_plugin uploaded
  * basic_state_estimator mocap_plugin uploaded
  * basic_state_estimator removed
  * as2_basic_state_estimator_plugin_base
  * First commit

